Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.log4j
[Groovy] Class EnvironmentsLog4JConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.log4j.EnvironmentsLog4JConfig

    class EnvironmentsLog4JConfig

Property Summary
`Log4jConfig` | `config`

Constructor Summary
`EnvironmentsLog4JConfig(Log4jConfig config)`

Method Summary
`java.lang.Object` | `development(groovy.lang.Closure callable)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
`java.lang.Object` | `production(groovy.lang.Closure callable)`
`java.lang.Object` | `test(groovy.lang.Closure callable)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### config

    Log4jConfig config

Constructor Detail

### EnvironmentsLog4JConfig

    EnvironmentsLog4JConfig(Log4jConfig config)

Method Detail

### development

    java.lang.Object development(groovy.lang.Closure callable)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

### production

    java.lang.Object production(groovy.lang.Closure callable)

### test

    java.lang.Object test(groovy.lang.Closure callable)

Groovy Documentation